DEV_GET_BY_FLAGS(9)

NAME
dev_get_by_flags - find any device with given flags

SYNOPSIS

struct net_device * dev_get_by_flags (unsigned short if_flags, unsigned short mask);

ARGUMENTS

if_flags
    IFF_* values

mask
    bitmask of bits in if_flags to check

DESCRIPTION

Search for any interface with the given flags. Returns NULL if a device is not found or a pointer to the device. The device returned has had a reference added and the pointer is safe until the user calls dev_put to indicate they have finished with it.